<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">CPointMass3DCrazyflieModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CPointMass3DCrazyflieModel Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a46024beb8d815252c0d46ab645b7a23f">CalculateBoundingBox</a>()</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a8ac01453e83bda08ae9d171a2f023ed1">CheckIntersectionWithRay</a>(Real &amp;f_t_on_ray, const CRay3 &amp;c_ray) const</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a0709429a547354eaed64873f6c3e89c9">CPointMass3DCrazyflieModel</a>(CPointMass3DEngine &amp;c_engine, CCrazyflieEntity &amp;c_crazyflie)</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#ad3b2bdc341fc0c315fef1bf659514497">Reset</a>()</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a393c962ca8e38b7fbb78b0f797b7e90f">Step</a>()</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a17b4483b0067d4fff8f4bace38f5a851">UpdateFromEntityStatus</a>()</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#ab5ebc7528c4c6461e1bc4771c6dc04e5">UpdateOriginAnchor</a>(SAnchor &amp;s_anchor)</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#afbc1677f5d939ef52f39b96e9d1c53ae">~CPointMass3DCrazyflieModel</a>()</td><td class="entry"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">argos::CPointMass3DCrazyflieModel</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
